.sidebar {
	top: 0;
	left: 0;
	bottom: 0;
	width: 50px;
	padding: 5px 5px 50px 5px;
	z-index: 1200;
	position: fixed;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-between;

	&:before {
		top: 0;
		right: 0;
		bottom: 0;
		width: 1px;
		content: '';
		display: block;
		position: absolute;
		background: rgba(255,255,255,0.25);
	}

	&__logo {
		width: 40px;
		display: block;
		position: relative;
	}

	&__social {

		&--item {
			opacity: 0.7;
			width: 24px;
			height: 24px;
			font-size: 0;
			line-height: 0;
			border-radius: 50%;
			position: relative;
			border: 1px solid #fff;
			display: flex;
			align-items: center;
			margin-bottom: 6px;
			justify-content: center;
			transition: .3s;

			&:last-child {
				margin-bottom: 0;
			}

			&:hover {
				opacity: 1;
				transition: .3s;
				text-decoration: none;
			}

			i {
				display: block;
				height: 14px;
				position: absolute;
			}

			svg {
				fill: #fff;
			}
		}
	}

	@media (min-width: 567px) {
		padding-bottom: 60px;
	}

	@media (min-width: $screen-sm-min) {
		padding-bottom: 50px;
	}

	@media (min-width: $screen-md-min) {
		width: 100px;
		padding-top: 20px;


		&__logo {
			width: 68px;
		}

		&__social {

			&--item {
				width: 38px;
				height: 38px;
				margin-bottom: 10px;

				&:last-child {
					margin-bottom: 0;
				}

				i {
					height: 20px;
				}
			}
		}
	}

	@media (min-width: $screen-md-min) {
		padding-bottom: 50px;
	}

	@media (min-width: $screen-lg-min) {

	}

	@media (min-width: $screen-xl-min) {
		padding-bottom: 50px;

	}
}


.nav {
	position: relative;

	&__button {
		width: 30px;
		height: 20px;
		opacity: 0.7;
		position: relative;
		margin: 20px auto;
		transform: rotate(0deg);
		transition: .5s ease-in-out;
		cursor: pointer;

		span {
			display: block;
			position: absolute;
			height: 2px;
			width: 100%;
			background: #fff;
			border-radius: 2px;
			left: 0;
			transform: rotate(0deg);
			transition: .25s ease-in-out;

			&:nth-child(1) {
				top: 0;
			}

			&:nth-child(2),
			&:nth-child(3) {
				top: 9px;
			}

			&:nth-child(4) {
				top: 18px;
			}
		}
	}

	&__content {
		opacity: 0;
		margin-left: -100px;
		visibility: hidden;
		top: calc(50% - 75px);
		width: 150px;
		font-size: 1rem;
		font-weight: 400;
		letter-spacing: 3px;
		line-height: 1.2rem;
		left: calc(100% + 20px);
		padding: 10px 17px;
		position: absolute;
		border-radius: 10px;
		background: rgba(51,47,41,0.9);
		box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.3);
		transition: .3s;

		&:before {
			top: calc(50% - 10px);
			right: 100%;
			content: '';
			display: block;
			position: absolute;
			border: 10px solid transparent;
			border-right: 10px solid rgba(51,47,41,0.9);
		}

		ul {
			margin: 0;
			padding: 0;
			list-style: none;

			li {
				padding: 7px 0;

				a {
					color: #fff;
					opacity: 0.8;
					display: block;
					white-space: nowrap;
					text-decoration: none;
					text-transform: uppercase;

					&:hover {
						color: #fff;
						opacity: 1;
						text-decoration: none;
					}
				}
			}
		}
	}

	&.open {

		.nav__button {

			span {
				&:nth-child(1) {
					top: 8px;
					width: 0%;
					left: 50%;
				}

				&:nth-child(2) {
					transform: rotate(45deg);
				}

				&:nth-child(3) {
					transform: rotate(-45deg);
				}

				&:nth-child(4) {
					top: 8px;
					width: 0%;
					left: 50%;
				}
			}
		}

		.nav__content {
			opacity: 1;
			margin-left: 0;
			transition: .3s;
			visibility: visible;
		}
	}

	@media (min-height: 900px) {

		&__button {
			display: none;
		}

		&__content {
			margin-left: 0;
			width: auto;
			top: auto;
			left: auto;
			padding: 0;
			opacity: 1;
			box-shadow: none;
			visibility: visible;
			position: relative;
			background: transparent;

			&:before {
				display: none;
			}

			ul {
				display: flex;
				align-items: center;
				flex-direction: row-reverse;
				transform: rotate(-90deg);

				li {
					padding: 0 10px;

					a {

					}
				}
			}
		}
	}

	@media (min-height: 1000px) {

		&__content {

			ul {

				li {
					padding: 0 15px;
				}
			}
		}
	}
}